summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrey Grozin <grozin@gentoo.org>2018-10-22 23:35:50 +0700
committerAndrey Grozin <grozin@gentoo.org>2018-10-22 23:36:50 +0700
commitac62acb1a45f93c6382b05a3524204c12e066c26 (patch)
tree112c856102f7e070f30e53ba35e464ede230bda1 /sci-mathematics
parentx11-plugins/wmfire: Drop old (diff)
downloadgentoo-ac62acb1a45f93c6382b05a3524204c12e066c26.tar.gz
gentoo-ac62acb1a45f93c6382b05a3524204c12e066c26.tar.bz2
gentoo-ac62acb1a45f93c6382b05a3524204c12e066c26.zip
sci-mathematics/wxmaxima: bump to 18.10.2
Signed-off-by: Andrey Grozin <grozin@gentoo.org> Package-Manager: Portage-2.3.41, Repoman-2.3.9
Diffstat (limited to 'sci-mathematics')
-rw-r--r--sci-mathematics/wxmaxima/Manifest1
-rw-r--r--sci-mathematics/wxmaxima/wxmaxima-18.10.2.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/sci-mathematics/wxmaxima/Manifest b/sci-mathematics/wxmaxima/Manifest
index e34ec2b03ec..9455e3c1f51 100644
--- a/sci-mathematics/wxmaxima/Manifest
+++ b/sci-mathematics/wxmaxima/Manifest
@@ -1,3 +1,4 @@
DIST wxmaxima-15.08.2.tar.gz 5592673 BLAKE2B cacb508cbcb24e27a43998ba0079b14117980669c25b39b017c0c659ef48d2ad338c6503aea99447a14250ed1a68a3414880828fc8ffdcbd3177b8eb9355a919 SHA512 a537c49477f54df4fd9e4e42a5e0d0d740f1ede817d807a98b7cec877a3ad77b2be0a61ae487a7fa5beb193b112eca163b8873292ecab5acf118d58a91e91af6
DIST wxmaxima-18.02.0.tar.gz 10131174 BLAKE2B d2137d4dfb23244c677a64578ea8cd132514d6e80b39ed1ed938a64952fcd9928459a64ceafccd34ef925fea6161a79112da9e8091de2ba8f93b4137f3240692 SHA512 e40a5fa701bd40c279de95bc16269a72678443ef0bdb14c3770c81feeaf33ddfff6c10f00b32239adcdf696f2a449c6d88d168b732d1273764c98c6ff807fd84
DIST wxmaxima-18.10.0.tar.gz 12144997 BLAKE2B 78cfe2cfa5532271cc07eb7bb106b0c9708df4ae3086c02a859f51affe87dd813b3ca28b7fb1137cfb2acbef4f2ce12d2464c30a6dd39d47c028cf4f6c6b030e SHA512 b8cc4288db6bd673a7de7e05d3ff9e3dec1660a78944c2fcd80422cbb6102eea81de33dbc19e7f66e31e0a044be9e935a7f7323b855a1dd3302c3763e5c98196
+DIST wxmaxima-18.10.2.tar.gz 12146348 BLAKE2B 3c43e807cd8eb2a7e2a6ec1cab82427a6e6df37d4d786639168008672a5763d545dd6387e969d0ff4d6db77d8155b7350a7673b273f00cb02c1779b82d64c35c SHA512 96cabe17a1df4134d991c4a1104da76375429038da03df6a09729b8afaf279788cb0859d723bb1c9cf3e24782f63aeb198b9407515108e0e637c48c410b70a37
diff --git a/sci-mathematics/wxmaxima/wxmaxima-18.10.2.ebuild b/sci-mathematics/wxmaxima/wxmaxima-18.10.2.ebuild
new file mode 100644
index 00000000000..56c7b4a3e19
--- /dev/null
+++ b/sci-mathematics/wxmaxima/wxmaxima-18.10.2.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+WX_GTK_VER="3.0"
+PLOCALES="ca cs da de el es fi fr gl hu it ja kab nb pl pt_BR ru tr uk zh_CN zh_TW"
+inherit cmake-utils wxwidgets l10n xdg-utils gnome2-utils
+
+DESCRIPTION="Graphical frontend to Maxima, using the wxWidgets toolkit"
+HOMEPAGE="http://wxmaxima-developers.github.io/wxmaxima/"
+SRC_URI="https://github.com/wxMaxima-developers/wxmaxima/archive/Version-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+S="${WORKDIR}"/${PN}-Version-${PV}
+
+DEPEND="
+ dev-libs/libxml2:2
+ x11-libs/wxGTK:${WX_GTK_VER}"
+RDEPEND="${DEPEND}
+ media-fonts/jsmath
+ sci-visualization/gnuplot[wxwidgets]
+ sci-mathematics/maxima"
+
+src_prepare() {
+ setup-wxwidgets
+ cmake-utils_src_prepare
+
+ sed -e "s|share/doc/${PN}|share/doc/${PF}|g" -i "${S}"/info/CMakeLists.txt \
+ || die "sed info/CMakeLists.txt failed"
+
+ # locales
+ rm_po() {
+ rm "${S}"/locales/${1}.po || die "rm ${1}.po failed"
+ }
+ l10n_find_plocales_changes "${S}"/locales '' '.po'
+ l10n_for_each_disabled_locale_do rm_po
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update
+}